
<template>
  <div class="fullscreen bg-blue text-white text-center q-pa-md flex flex-center">
    <div>

      <div class="text-h2" style="opacity:.4">
        Login Page
      </div>

      <q-btn
        class="q-mt-xl"
        color="white"
        text-color="blue"
        unelevated
        to="/"
        label="Go Home"
        no-caps
      />

      <q-btn
        class="q-mt-xl"
        unelevated
        label="Test login"
        @click="test1()"
        no-caps
      />
    </div>
  </div>
</template>

<script>

// global variable(s)
//  login Status
//import Vue from 'vue'
//Vue.prototype.$loginFlag = false;

export default {
  name: 'login',

  data () {
    return {
      //loginFlag: this.$loginFlag,
      test: {},
    }
  },

  watch: {
    test: function (val, oldVal) {
      console.log('test: new 1 : ', val)

    },
     
  },

  methods: {
    test1 () {
      console.log("test1 ", this.loginFlag);

    }
  }
}
</script>
